Python function for expression is not loaded automaticaly
Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:master Regression?: No

Operating System: Windows 10 64bit professional Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25941

Description

Hello, i have problem with automatic loading python function for expressioning. The function is okey if i load it immediately before use it in

expression. everything is ok until I restart QGIS. Is this option a new feature or bug?

History

#1 - 2018-02-05 07:17 AM - Ondrej Remes

- File after_manual_loading_everything_is_ok.jpg added

- File my_expression_in_python_window.jpg added

I use qgis-dev 2.99. There are images of my python function and moment after loading. Everything is ok.

#2 - 2018-04-14 01:37 PM - Tudor Bărăscu

You need to press the load button to reload the function after reediting it!

It's in the "Function editor" window, on top..  above-left of the python code window.

#3 - 2018-04-14 11:07 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Files

expression_in_attribute_table.jpg 114 KB 2018-02-05 Ondrej Remes

my_expression_in_python_window.jpg 264 KB 2018-02-05 Ondrej Remes

after_manual_loading_everything_is_ok.jpg 59.4 KB 2018-02-05 Ondrej Remes
